%--------------------------------------------------------------------------   
%  Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%  
%   Basketball Freiwurf, Trajektorie durch Zentrum des Korbrings
%           Code-Beispiel, Listing 2.2
%     Author: Frank Hausser
%     Date:   8/2009
%
%--------------------------------------------------------------------------

clear all;
close all;

hS = 2.13;  % Groesse Dirk Nowitzky
parameter = getParameter();
l  = parameter.abstandHorizontal;          
h  = parameter.hoeheKorb - 5/4 * hS;       
Rr = parameter.radiusRing;                
Rb = parameter.radiusBall;                
g  = parameter.erdbeschleunigung; 
theta0Grad = 40; theta0 = theta0Grad*pi/180;

v0 = (l/cos(theta0))*sqrt(g/( 2*(l*tan(theta0) - h)));
vx = v0 * cos(theta0);
vy = v0 * sin(theta0);
T = l/vx; nt = 500;
t = linspace(0,T,nt);
x = vx*t;
y = vy*t - g*t.*t/2;

plot(x,y)

