%--------------------------------------------------------------------------
%     
%     Mathematische Modellierung von F. Hausser und Y. Luchko
%  
%     Skript Basketball Freiwurf,  Trajektorien
%     bei fester Abwurfgeschwindigkeit und Abweichung im Abwurfwinkel
%           Code-Beispiel, Listing 2.3
%     Author: Frank Hausser
%     Date:   8/2009
%
%--------------------------------------------------------------------------

clear all;
close all;

hSpieler = 2.13; % Dirk Nowitzky
parameter = getParameter();
l  = parameter.abstandHorizontal;          % Horizontale Entfernung [m]
h  = parameter.hoeheKorb - 5/4 * hSpieler; % vertikale Entfernung [m]
g  = parameter.erdbeschleunigung;          % Erdbeschleunigung

theta0Grad = 55;  theta0 = theta0Grad*pi/180;

v0 = ( l/cos(theta0) ) * sqrt(  g/( 2*(l*tan(theta0) - h) )  );

%-----  Wurfbahn durchs Zentrum 
vx = v0 * cos(theta0);
vy = v0 * sin(theta0);
T  = (vy + sqrt(vy*vy - 2*g*h))/g; nt = 500;
t  = linspace(0,T,nt);
x = vx*t;
y = vy*t - g*t.*t/2;

% zu grosser Abwurfwinkel (ab hier Listing 2.3)
thetaGrad = theta0Grad + 3; theta = thetaGrad*pi/180;
vx = v0 * cos(theta);
vy = v0 * sin(theta);
T  = (vy + sqrt(vy*vy - 2*g*h))/g; 
t  = linspace(0,T,nt);
xf  = vx*t;
yf  = vy*t - g*t.*t/2;

plot(x,y,'b',xf,yf,'r'); 
