%--------------------------------------------------------------------------
%  Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko, 2010  %
%                                                                         %
%      Visualisierung eines Spiralgitters (Fibonacci-Spiralen)            %
%--------------------------------------------------------------------------

close all;
clear all;

div       = (3 - sqrt(5) )/2;   % Divergenz
deltaPhi  = 2*pi*div;           % Divergenzwinkel
n         = 1000;               % Anzahl Punkte
a         = n/sqrt(n*2*pi);
phi       = 0:deltaPhi:(n-1)*deltaPhi;
r         = a*sqrt(phi);
x = r.*cos(phi);  y = r.*sin(phi);

h = plot(x,y,'o');
set(h,'MarkerSize',3,'MarkerFaceColor','k')
axis square; axis off




