function xdt = fmm(t,x)

global m;   % Massenvektor
global Ag;  % gewichtete Massenmatrix
F  = zeros(8,1);
p  = [x(1:8);0;0;3;0]; % Dirichletknoten hinzufuegen

% loop ueber alle Kanten 
for i=1:4
    for j=1:6
        l0 = Ag(i,j);
        if(Ag(i,j) > 0)
            xij = p(2*j-1:2*j) - p(2*i-1:2*i);
            l   = norm(xij);
            Fij = (l - l0)/l0  * xij / l;
            F(2*i-1:2*i) = F(2*i-1:2*i) + Fij;
        end
    end
end 
 
xdt = [x(9:16); 
       (F + aeussereKraft(t))./m];

% Aeussere Kraft, periodisch
function fa = aeussereKraft(t)
global w;  % Winkelfrequenz der angreifenden Kraft
global sv  % Richtung der angreifenden Kraft
fa = sv*sin(w*t);

   
 
 
 
 
