function plotVergleichVerschiebung(u,v)
% plottet das Modell sowie die Eigenschwingung xe

x0 = [1 2 1 2 0 3; 
      0 0 1 1 0 0]; % Koordinaten der Knoten ohne Lasten 
                    % (im Gleichgewicht)
 
A = [0 1 1 1 1 0; 
      1 0 1 1 0 1; 
      1 1 0 1 1 0; 
      1 1 1 0 0 1; 
      1 0 1 0 0 0; 
      0 1 0 1 0 0]; % Verbindungen 

 
xp = x0(1,:)';     % x-Koordinaten
yp = x0(2,:)';     % y-Koordinaten

M = length(xp);    % Anzahl der Knoten
N = length(u)/2;  % Anzahl der beweglichen Knoten




%---------------------- Ruhelage  -----------------------------------------

for I=1:M
    for J = 1:(I-1)
        if A(I,J) ~= 0
            plot([xp(I) xp(J)], [yp(I) yp(J)], 'k:', 'linewidth',2)
            hold on;
        end
    end
end

axis('equal')
axis([-0.1 3.1 -1.0 1.5]);



%---------------------- 1. Verschiebung ----------------------------------

xp(1:N) = xp(1:N) + u(1:2:end);
yp(1:N) = yp(1:N) + u(2:2:end);

for I=1:M
    for J = 1:(I-1)
        if A(I,J) ~= 0
            plot([xp(I) xp(J)], [yp(I) yp(J)], 'k-', 'linewidth',2)
            hold on;
        end
    end
end

axis('equal')
axis([-0.1 3.1 -1.0 1.5]);



%---------------------- 2. Verschiebung ----------------------------------
xp = x0(1,:)';     % x-Koordinaten
yp = x0(2,:)';     % y-Koordinaten

xp(1:N) = xp(1:N) + v(1:2:end);
yp(1:N) = yp(1:N) + v(2:2:end);

for I=1:M
    for J = 1:(I-1)
        if A(I,J) ~= 0
            plot([xp(I) xp(J)], [yp(I) yp(J)], 'k--', 'linewidth',2)
        end
    end
end
hold off
