%--------------------------------------------------------------------------   
%   Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%   Fallstudie Google's PageRank, Listing 7.2:
%        Erzeugung einer Hyperlinkmatrix mit einem einfachen Webcrawler
%        von C. Moler:  www.mathworks.com/moler/ncm/surfer.m (2014)
%        in line 62 of surfer.m sollte http: durch https: ersetzt werden
%     Author: Witalij Wambold, Frank Hausser
%     Date:   3/2010, 5/2019
%--------------------------------------------------------------------------

root  = 'https://www.mathworks.com/';  % Start URL
%root  = 'https://www.beuth-hochschule.de/';  % Start URL
n     = 500; %1000                            % Anzahl Webseiten 

[U,L] = surfer(root,n);  % Aufruf des Webcrawlers
% L: transponierte Adjazenzmatrix: L(i,j) = 1 falls Seite i einen Link auf
%     Seite j hat, sonst L(i,j) = 0.
% U: Cell-array mit den URLs der Webseiten
  
H = L';
for i=1:n
   rowSum = sum(H(i,:));
   if( rowSum ~= 0 )
      H(i,:) = H(i,:) / rowSum; 
   end
end

figure(2)
spy(H)
