%--------------------------------------------------------------------------   
%   Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%   Fallstudie Google's PageRank,
%                 Beispiel-Internet mit 6 Seiten, aus Abb. 7.3 
%
%     Author: Witalij Wambold
%     Date:   3/2010
%--------------------------------------------------------------------------

% Hyperlinkmatrix H (= S)
S = [0 0 1 0 0 0;
     1 0 0 0 0 0;
     0 1 0 0 0 0;
     0 0 0 0 1/2 1/2;
     0 0 1/3 1/3 0 1/3;
     0 0 0 1 0 0];
 
 % Eigenwerte von S
 eig(S)
 
 % Berechnung der Googlematrix G
 alpha = 0.8;
 format rat
 G = alpha*S + (1-alpha)*ones(size(S))/6
 format
  
 % Berechnung des PageRank-Vektors mit eigs()
 [pi,lambda] = eigs(G',1);
 pi = pi / norm(pi,1);
 
 if(pi(1) < 0) % falls alle Eintrge negativ
    pi = - pi; 
 end
 disp(pi);

 % Berechnung des PageRank-Vektors mit der Funktion pageRank
 it = 50;
 p = pageRank(S,alpha,it)
